import Vuex from 'vuex'
// import CodeToggle from './CodeToggle'
// import CodeLanguageSwitcher from './CodeLanguageSwitcher'
import { setStorage } from './Storage'

export default ({ Vue, options, router, siteData }) => {
    // Vue.component('code-toggle', CodeToggle)
    // Vue.component('code-language-switcher', CodeLanguageSwitcher)

    Vue.use(Vuex)

    Vue.mixin({
        computed: {
            $title() {
                const page = this.$page
                const siteTitle = this.$siteTitle
                const selfTitle = page.frontmatter.home ? null : (
                    page.frontmatter.title || // explicit title
                    (page.title ? page.title.replace(/[_`]/g, '') : '') // inferred title
                )
                return siteTitle ?
                    selfTitle ?
                    (selfTitle + ' | ' + siteTitle) :
                    siteTitle :
                    selfTitle || 'VuePress'
            },
            $pluginUrl() {
                return 'https://verbb.io' + this.$site.base.replace('/docs/', '');
            },
        }
    })

    // Object.assign(options, {
    //     data: {
    //         codeLanguage: null,
    //     },

    //     store: new Vuex.Store({
    //         state: {
    //             codeLanguage: null
    //         },
    //         mutations: {
    //             changeCodeLanguage(state, language) {
    //                 state.codeLanguage = language;
    //                 setStorage('codeLanguage', language);
    //             }
    //         }
    //     })
    // })
}